"""
NeuralMag - A nodal finite-difference code for inverse micromagnetics

Copyright (c) 2024 NeuralMag team

This program is free software: you can redistribute it and/or modify
it under the terms of the Lesser Python General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
Lesser Python General Public License for more details.

You should have received a copy of the Lesser Python General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

VERSION = "0.9.1"

import neuralmag.common.logging as logging
from neuralmag.common import *
from neuralmag.field_terms import *
from neuralmag.loggers import *
from neuralmag.solvers import *

logging.info_green(f"[NeuralMag] Version {VERSION}")

__all__ = common.__all__ + field_terms.__all__ + loggers.__all__ + solvers.__all__
